import { DependencyCondition, DependencyConditionType } from "./dependency-condition";


export class ValueDependencyCondition extends DependencyCondition {
    constructor(private _value: any) {
        super(DependencyConditionType.HasValue);
    }

    public get value(): any {
        return this._value;
    }

    public toString(): string {
        return super.toString() + " " + this._value;
    }
}
