import { Directive, ComponentFactoryResolver, ComponentFactory, ComponentRef } from "@angular/core";

import { ViewContainerRef } from "@angular/core";
import { SaveCalculatorComponent } from "./save-calculator.component";

@Directive({
    selector: "[appSaveCalcDialogAnchor]"
})
export class SaveCalcDialogAnchorDirective {
    constructor(
        private viewContainer: ViewContainerRef,
        private componentFactoryResolver: ComponentFactoryResolver
    ) { }

    public createDialog(): ComponentRef<SaveCalculatorComponent> {
        this.viewContainer.clear();

        const compFactory: ComponentFactory<SaveCalculatorComponent>
            = this.componentFactoryResolver.resolveComponentFactory(SaveCalculatorComponent);
        const compRef: ComponentRef<SaveCalculatorComponent> = this.viewContainer.createComponent(compFactory);

        // dialogComponentRef.instance.close.subscribe(() => {
        //     dialogComponentRef.destroy();
        // });

        return compRef;
    }
}
